CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.27. CUmemAllocationProp Struct Reference

## [Data types used by CUDA driver]

Specifies the allocation properties for a allocation.

### Public Variables

unsigned char compressionType
struct CUmemLocation location
CUmemAllocationHandleType requestedHandleTypes
CUmemAllocationType type
void * win32HandleMetaData

### Variables

unsigned char CUmemAllocationProp::compressionType [inherited]

  Additional allocation hint for requesting compressible memory. Compressed memory allows higher bandwidth, but may cause compression resource thrashing, and compressed memory may not be mappeable on all devices.

struct CUmemLocation CUmemAllocationProp::location [inherited]

  Location of allocation

CUmemAllocationHandleType CUmemAllocationProp::requestedHandleTypes [inherited]

  requested CUmemAllocationHandleType

CUmemAllocationType CUmemAllocationProp::type [inherited]

  Allocation type

void * CUmemAllocationProp::win32HandleMetaData [inherited]

  Windows-specific LPSECURITYATTRIBUTES required when CU_MEM_HANDLE_TYPE_WIN32 is specified. This security attribute defines the scope of which exported allocations may be tranferred to other processes. In all other cases, this field is required to be zero.